### Method

# Ide Notification set_id

#### Declaration

    void
    ide_notification_set_id (
      IdeNotification* self,
      const gchar* id
    )

#### Description

Sets the `IdeNotification:id` property.

Available since: | 3.32

Sets property | `Ide.Notification:id`

#### Parameters

`id` | `const gchar*`
| A string containing the id, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.